package com.hotwj.platform.resourceManagement.company.service;

import com.hotwj.platform.resourceManagement.company.domain.bo.SysCompanyRoleBo;
import com.hotwj.platform.resourceManagement.company.domain.vo.SysCompanyRoleVo;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;
import java.util.Set;

public interface ISysCompanyRoleService {

    SysCompanyRoleVo queryById(Long id);

    TableDataInfo<SysCompanyRoleVo> queryPageList(SysCompanyRoleBo bo, PageQuery pageQuery);

    List<SysCompanyRoleVo> queryList(SysCompanyRoleBo bo);

    Boolean insertByBo(SysCompanyRoleBo bo);

    Boolean updateByBo(SysCompanyRoleBo bo);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Set<String> selectRoleKeys(Long userId, Long companyId);
}

